import { Component, OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { datas } from './data';
import { Observable } from 'rxjs';
import { OrdersService } from './order.service';
import { DataStateChangeEventArgs } from '@syncfusion/ej2-grids';
import { PageService } from '@syncfusion/ej2-angular-grids';
import { LoginModalService } from 'app/core/login/login-modal.service';
import { AccountService } from 'app/core/auth/account.service';
import { Account } from 'app/core/user/account.model';

@Component({
  selector: 'jhi-home',
  templateUrl: './home.component.html',
  styleUrls: ['home.scss'],
  providers: [OrdersService, PageService]
})
export class HomeComponent implements OnInit, OnDestroy {
  public pageOptions: Object;
    public state: DataStateChangeEventArgs;
  public data: Observable<DataStateChangeEventArgs>;
  account: Account | null = null;
  authSubscription?: Subscription;

  constructor(private accountService: AccountService, private loginModalService: LoginModalService, private service: OrdersService) {
    this.data = service;
  }

  ngOnInit(): void {
    this.pageOptions = { pageSize: 10, pageCount: 4 };
        let state = { skip: 0, take: 10 };
        this.service.execute(state);
  }

  dataStateChange(state: DataStateChangeEventArgs): void {
    debugger;
    this.service.execute(state);
  }

  isAuthenticated(): boolean {
    return this.accountService.isAuthenticated();
  }

  login(): void {
    this.loginModalService.open();
  }

  ngOnDestroy(): void {
    if (this.authSubscription) {
      this.authSubscription.unsubscribe();
    }
  }
}
